PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
PTimerList::RequestType Class Reference

`#include <pprocess.h>`

Collaboration diagram for PTimerList::RequestType:
[legend]

## Public Types
enum | Action { Stop, Start, Pause }

## Public Member Functions
| RequestType (Action act, PTimer *t)

## Public Attributes
enum PTimerList::RequestType::Action | m_action
PTimer * | m_timer
PTimer::IDType | m_id
PInt64 | m_absoluteTime
PAtomicInteger::IntegerType | m_serialNumber
PSyncPoint * | m_sync

## Member Enumeration Documentation

enum PTimerList::RequestType::Action

Enumerator
Stop |
Start |
Pause |

## Constructor & Destructor Documentation

PTimerList::RequestType::RequestType | ( | Action | act,
|  | PTimer * | t
| ) |  |
| inline

## Member Data Documentation

PInt64 PTimerList::RequestType::m_absoluteTime

enum PTimerList::RequestType::Action PTimerList::RequestType::m_action

PTimer::IDType PTimerList::RequestType::m_id

PAtomicInteger::IntegerType PTimerList::RequestType::m_serialNumber

PSyncPoint* PTimerList::RequestType::m_sync

PTimer* PTimerList::RequestType::m_timer

The documentation for this class was generated from the following file:

- pprocess.h